import React, { useEffect, useMemo, useState } from 'react'
import { Radio } from 'antd'
import styles from './index.less'

const TableNames = (props) => {

  let num = sessionStorage.getItem('RadioButtonValue') || 3
  const { value, schema, onChange } = props
  let val = '33.3%'
  if (num == 3) val = '50%'
  if (num == 4) val = '25%'
  if (num == 5) val = '20%'
  const [values, setvalues] = useState(value || val)

  const options = useMemo(() => {
    if (num == 2) {
      return [
        { label: '1/2', value: '50%' },
        { label: '整行', value: '100%' },
      ]
    } else if (num == 4) {
      return [
        { label: '1/4', value: '25%' },
        { label: '2/4', value: '50%' },
        { label: '3/4', value: '75%' },
        { label: '整行', value: '100%' },
      ]
    } else if (num === 5) {
      return [
        { label: '1/5', value: '20%' },
        { label: '2/5', value: '40%' },
        { label: '4/5', value: '60%' },
        { label: '4/5', value: '80%' },
        { label: '整行', value: '100%' },
      ]
    }
    return [
      { label: '1/3', value: '33.3%' },
      { label: '2/3', value: '66.6%' },
      { label: '整行', value: '100%' },
    ]
  }, [num])

  const onSelect = (e) => {
    setvalues(e.target.value)
    onChange(e.target.value)
  }

  return (
    <div className={styles.radioGroupW}>
      <Radio.Group onChange={onSelect} value={values} buttonStyle="solid">
        <div style={{ width: '100%', display: 'flex' }}>
          {
            options.map((v, i) => {
              return (
                <div style={{ flex: 1, marginLeft: i === 0 ? '0' : '-1px' }}>
                  <Radio.Button style={{ textAlign: 'center' }} value={v.value} key={i}>{v.label}</Radio.Button>
                </div>
              )
            })
          }
        </div>
      </Radio.Group>
    </div>

  )

}

export default TableNames